Edit

Share via


Items - Get Environment

Returns properties of the specified environment.

Permissions

The caller must have read permissions for the environment.

Required Delegated Scopes

Environment.Read.All or Item.Read.All or Environment.ReadWrite.All or Item.ReadWrite.All

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

GET https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/environments/{environmentId}

URI Parameters

Name In Required Type Description
environmentId
path True

string (uuid)

The environment ID.

workspaceId
path True

string (uuid)

The workspace ID.

Responses

Name Type Description
200 OK

Environment

Request completed successfully. Returns Environment object.

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • UnknownError - An error occurred.

Examples

Get Environment Item example

Sample request

GET https://api.fabric.microsoft.com/v1/workspaces/f089354e-8366-4e18-aea3-4cb4a3a50b48/environments/41ce06d1-d81b-4ea0-bc6d-2ce3dd2f8e87

Sample response

{
  "displayName": "Environment_1",
  "description": "An Environment description",
  "type": "Environment",
  "workspaceId": "cfafbeb1-8037-4d0c-896e-a46fb27ff229",
  "id": "5b218778-e7a5-4d73-8187-f10824047715",
  "properties": {
    "publishDetails": {
      "state": "Success",
      "targetVersion": "46838a80-5450-4414-bea0-40fb6f3e0c0d",
      "startTime": "2024-03-29T14:17:09.0697022Z",
      "endTime": "2024-03-29T14:48:09.0697022Z",
      "componentPublishInfo": {
        "sparkLibraries": {
          "state": "Success"
        },
        "sparkSettings": {
          "state": "Success"
        }
      }
    }
  },
  "sensitivityLabel": {
    "id": "b7b4f4d9-3f0d-4b3e-8f3d-4f6d3f4f3f4f"
  }
}

Definitions

Name Description
ComponentPublishInfo

Publish info for each components in environment.

EntireTenantPrincipal

Represents a tenant principal

Environment

An Environment item.

EnvironmentProperties

Environment properties.

EnvironmentPublishState

Publish state. Additional state types may be added over time.

ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

GroupDetails

Group specific details. Applicable when the principal type is Group.

GroupPrincipal

Represents a security group.

GroupType

The type of the group. Additional group types may be added over time.

ItemTag

Represents a tag applied on an item.

ItemType

The type of the item. Additional item types may be added over time.

PrincipalType

The type of the principal. Additional principal types may be added over time.

PublishDetails

Details of publish operation.

SensitivityLabel

Represents a sensitivity label applied to an item.

ServicePrincipalDetails

Service principal specific details. Applicable when the principal type is ServicePrincipal.

ServicePrincipalPrincipal

Represents a Microsoft Entra service principal.

ServicePrincipalProfileDetails

Service principal profile details. Applicable when the principal type is ServicePrincipalProfile.

ServicePrincipalProfilePrincipal

Represents a service principal profile.

SparkLibraries

Spark libraries.

SparkSettings

Spark settings.

UserDetails

User principal specific details. Applicable when the principal type is User.

UserPrincipal

Represents a Microsoft Entra user principal.

ComponentPublishInfo

Publish info for each components in environment.

Name Type Description
sparkLibraries

SparkLibraries

Spark libraries publish information.

sparkSettings

SparkSettings

Spark settings publish information.

EntireTenantPrincipal

Represents a tenant principal

Name Type Description
displayName

string

The principal's display name.

id

string (uuid)

The principal's ID.

type string:

EntireTenant

The type of the principal. Additional principal types may be added over time.

Environment

An Environment item.

Name Type Description
defaultIdentity Principal:

The item's default identity.

description

string

The item description.

displayName

string

The item display name.

folderId

string (uuid)

The folder ID.

id

string (uuid)

The item ID.

properties

EnvironmentProperties

The environment properties.

sensitivityLabel

SensitivityLabel

The item sensitivity label.

tags

ItemTag[]

List of applied tags.

type

ItemType

The item type.

workspaceId

string (uuid)

The workspace ID.

EnvironmentProperties

Environment properties.

Name Type Description
publishDetails

PublishDetails

Environment publish operation details.

EnvironmentPublishState

Publish state. Additional state types may be added over time.

Value Description
Success

Environment publish is in success state.

Cancelled

Environment publish is in cancelled state.

Failed

Environment publish is in failed state.

Cancelling

Environment publish is in cancelling state.

Running

Environment publish is in running state.

Waiting

Environment publish is in waiting state.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

relatedResource

ErrorRelatedResource

The error related resource details.

GroupDetails

Group specific details. Applicable when the principal type is Group.

Name Type Description
groupType

GroupType

The type of the group. Additional group types may be added over time.

GroupPrincipal

Represents a security group.

Name Type Description
displayName

string

The principal's display name.

groupDetails

GroupDetails

Group specific details. Applicable when the principal type is Group.

id

string (uuid)

The principal's ID.

type string:

Group

The type of the principal. Additional principal types may be added over time.

GroupType

The type of the group. Additional group types may be added over time.

Value Description
Unknown

Principal group type is unknown.

SecurityGroup

Principal is a security group.

DistributionList

Principal is a distribution list.

ItemTag

Represents a tag applied on an item.

Name Type Description
displayName

string

The name of the tag.

id

string (uuid)

The tag ID.

ItemType

The type of the item. Additional item types may be added over time.

Value Description
Dashboard

PowerBI dashboard.

Report

PowerBI report.

SemanticModel

PowerBI semantic model.

PaginatedReport

PowerBI paginated report.

Datamart

PowerBI datamart.

Lakehouse

A lakehouse.

Eventhouse

An eventhouse.

Environment

An environment.

KQLDatabase

A KQL database.

KQLQueryset

A KQL queryset.

KQLDashboard

A KQL dashboard.

DataPipeline

A data pipeline.

Notebook

A notebook.

SparkJobDefinition

A spark job definition.

MLExperiment

A machine learning experiment.

MLModel

A machine learning model.

Warehouse

A warehouse.

Eventstream

An eventstream.

SQLEndpoint

An SQL endpoint.

MirroredWarehouse

A mirrored warehouse.

MirroredDatabase

A mirrored database.

Reflex

A Reflex.

GraphQLApi

An API for GraphQL item.

MountedDataFactory

A MountedDataFactory.

SQLDatabase

A SQLDatabase.

CopyJob

A Copy job.

VariableLibrary

A VariableLibrary.

Dataflow

A Dataflow.

ApacheAirflowJob

An ApacheAirflowJob.

WarehouseSnapshot

A Warehouse snapshot.

DigitalTwinBuilder

A DigitalTwinBuilder.

DigitalTwinBuilderFlow

A Digital Twin Builder Flow.

MirroredAzureDatabricksCatalog

A mirrored azure databricks catalog.

Map

A Map.

AnomalyDetector

An Anomaly Detector.

UserDataFunction

A User Data Function.

GraphModel

A GraphModel.

GraphQuerySet

A Graph QuerySet.

SnowflakeDatabase

A Snowflake Database to store Iceberg tables created from Snowflake account.

OperationsAgent

A OperationsAgent.

CosmosDBDatabase

A Cosmos DB Database.

Ontology

An Ontology.

EventSchemaSet

An EventSchemaSet.

DataAgent

A DataAgent.

PrincipalType

The type of the principal. Additional principal types may be added over time.

Value Description
User

Principal is a Microsoft Entra user principal.

ServicePrincipal

Principal is a Microsoft Entra service principal.

Group

Principal is a security group.

ServicePrincipalProfile

Principal is a service principal profile.

EntireTenant

Principal represents all tenant users.

PublishDetails

Details of publish operation.

Name Type Description
componentPublishInfo

ComponentPublishInfo

Environment component publish information.

endTime

string (date-time)

End time of publish operation in UTC, using the YYYY-MM-DDTHH:mm:ss.sssssssZ format.

startTime

string (date-time)

Start time of publish operation in UTC, using the YYYY-MM-DDTHH:mm:ss.sssssssZ format.

state

EnvironmentPublishState

Publish state. Additional state types may be added over time.

targetVersion

string (uuid)

Target verion to be published.

SensitivityLabel

Represents a sensitivity label applied to an item.

Name Type Description
id

string (uuid)

The sensitivity label ID.

ServicePrincipalDetails

Service principal specific details. Applicable when the principal type is ServicePrincipal.

Name Type Description
aadAppId

string (uuid)

The service principal's Microsoft Entra AppId.

ServicePrincipalPrincipal

Represents a Microsoft Entra service principal.

Name Type Description
displayName

string

The principal's display name.

id

string (uuid)

The principal's ID.

servicePrincipalDetails

ServicePrincipalDetails

Service principal specific details. Applicable when the principal type is ServicePrincipal.

type string:

ServicePrincipal

The type of the principal. Additional principal types may be added over time.

ServicePrincipalProfileDetails

Service principal profile details. Applicable when the principal type is ServicePrincipalProfile.

Name Type Description
parentPrincipal Principal:

The service principal profile's parent principal.

ServicePrincipalProfilePrincipal

Represents a service principal profile.

Name Type Description
displayName

string

The principal's display name.

id

string (uuid)

The principal's ID.

servicePrincipalProfileDetails

ServicePrincipalProfileDetails

Service principal profile details. Applicable when the principal type is ServicePrincipalProfile.

type string:

ServicePrincipalProfile

The type of the principal. Additional principal types may be added over time.

SparkLibraries

Spark libraries.

Name Type Description
state

EnvironmentPublishState

Publish state. Additional state types may be added over time.

SparkSettings

Spark settings.

Name Type Description
state

EnvironmentPublishState

Publish state. Additional state types may be added over time.

UserDetails

User principal specific details. Applicable when the principal type is User.

Name Type Description
userPrincipalName

string

The user principal name.

UserPrincipal

Represents a Microsoft Entra user principal.

Name Type Description
displayName

string

The principal's display name.

id

string (uuid)

The principal's ID.

type string:

User

The type of the principal. Additional principal types may be added over time.

userDetails

UserDetails

User principal specific details. Applicable when the principal type is User.